<%@ page import="com.ether.Context" %>

<script type="text/javascript">
    var InterfaceTemplate = Class.create( {

        initialize: function()
        {
            /** *********** CONTAINERS *********** **/
            this.containerTools = $( "#tools" );
            this.containerMenu = $( "#menu" );
            this.containerSubMenu = $( "#subMenu" );

            /** *********** VARIABLES *********** **/
            this.isLanguageFr = <%=Context.getLangue(request).equals( "fr" )%>;
            this.path = "<%=request.getContextPath()%>";
            this.webmaster = "<%=Context.getWebmaster(request)%>";
            this.relativePageUri = <%=request.getQueryString() != null%> ? "<%=Context.getRelativePath( request )%>?<%=request.getQueryString()%>" : "<%=Context.getRelativePageURI(request)%>";
            <%--this.jSONUser = <%=Context.getJSONUser( request )%> ? <%=Context.getJSONUser( request )%> : false;--%>

            /** ************ CREATE ************ **/
            this.createTools();
            this.createMenu();

            this.onClickMenu()
        },

        // CREATES ********************************************************
        createTools: function()
        {
            var mapButton = new Button( {value:templateTexts["label.map"], parent:this.containerTools, id:"button_map", className: "gray_button", classNameText:"gray_button_text", onClick:this.onClickMap} );
            var languageButton = new Button( {value: templateTexts["language"], parent:this.containerTools, id:"button_language", className: "gray_button", classNameText:"gray_button_text", onClick:jQuery.proxy( this.onClickLanguage, this )} );
            var homeButton = new Button( {value: templateTexts["label.home"], parent:this.containerTools, id:"button_home", className: "gray_button", classNameText:"gray_button_text", onClick:this.onClickHome} );

//            var divSmallLogoEther = $( document.createElement( "div" ) );
//            divSmallLogoEther.attr( {id:"smallLogoEther", class:"containerSmallLogoEther"} );
//            divSmallLogoEther.append( '<a href="http://ether.ipsl.jussieu.fr" target="help"><img src="resources/images/logo_Ether.jpg" width="40px" height="40px"/></a>' );
//            this.containerTools.append( divSmallLogoEther );
//            $( "#smallLogoEther" ).show();

//            this.updateLogoEther();
        },

        createMenu: function()
        {
            var ulMenu = $( document.createElement( "ul" ) );
            this.containerMenu.append( ulMenu );

            var liAtmosphere = $( document.createElement( "li" ) );
            liAtmosphere.html( templateTexts["label.atmosphere.chemistry"] );
            liAtmosphere.bind( "click", jQuery.proxy( this.onClickMenu, [this, "Atmosphere"] ) );
            ulMenu.append( liAtmosphere );

            var liActivities = $( document.createElement( "li" ) );
            liActivities.html( templateTexts["label.activities"] );
            liActivities.bind( "click", jQuery.proxy( this.onClickMenu, [this, "Activities"] ) );
            ulMenu.append( liActivities );

            var liData = $( document.createElement( "li" ) );
            liData.html( templateTexts["label.data.services"] );
            liData.bind( "click", jQuery.proxy( this.onClickMenu, [this, "Data"] ) );
            ulMenu.append( liData );

            var liCommunity = $( document.createElement( "li" ) );
            liCommunity.html( templateTexts["label.community"] );
            liCommunity.bind( "click", jQuery.proxy( this.onClickMenu, [this, "Community"] ) );
            ulMenu.append( liCommunity );
        },

        createLogin: function()
        {
            var buttonLogin = new LoginButton( { parent:this.containerLogin, urlLogin:"project?methodName=login", urlLogout:"project?methodName=logout", classNameToAdd:"gray" } );
            buttonLogin.setJSONUser( this.jSONUser );
            buttonLogin.display();
        },

        createSubMenuLi: function( container, subMenus )
        {
            jQuery.each( subMenus, jQuery.proxy( function( i, subMenu )
            {
                var liSubMenu = $( document.createElement( "li" ) );
                liSubMenu.addClass( "li" + i );
                liSubMenu.html( "&nbsp;&nbsp;" + subMenu );
                container.append( liSubMenu );
            }, this ) );
        },

        // EVENTS ********************************************************
        onClickHome: function()
        {
            document.location.href = "backoffice?methodName=home";
        },

        onClickLanguage: function()
        {
            if( this.isLanguageFr )
                document.location.href = this.path + "/English.do?requestUri=" + this.relativePageUri;
            else
                document.location.href = this.path + "/French.do?requestUri=" + this.relativePageUri;
        },

        onClickMap: function()
        {
            document.location.href = "index.jsp";
        },

        onClickMenu: function()
        {
            var context = this[0];
            var liMenu = this[1];

            context.containerSubMenu.empty();

            var ulMenu = $( document.createElement( "ul" ) );
            context.containerSubMenu.append( ulMenu );

            switch( liMenu )
            {
                case "Atmosphere":
                    context.createSubMenuLi( ulMenu, [templateTexts["label.pole.presentation"], templateTexts["label.users.committee"],templateTexts["label.laboratories"], templateTexts["label.workshops"], templateTexts["label.ether.letter"], templateTexts["label.informations"]] );
                    break;
                case "Activities":
                    context.createSubMenuLi( ulMenu, [templateTexts["label.pole.presentation"], templateTexts["label.users.committee"],templateTexts["label.laboratories"]] );
                    break;
                case "Data":
                    context.createSubMenuLi( ulMenu, [templateTexts["label.workshops"], templateTexts["label.ether.letter"]] );
                    break;
                case "Community":
                    context.createSubMenuLi( ulMenu, [templateTexts["label.informations"], templateTexts["label.pole.presentation"], templateTexts["label.users.committee"],templateTexts["label.laboratories"]] );
                    break;
                default:
                    break;
            }
            ;
        }
    } );
</script>